Category:  Estimated time: 0.00 hour
Description

In order to increase the visibility of the actions of the boards, and enable to create synergies, facilitate contributions and empower

people, a 2 years action plan is to be drafted.

There are 3 phases to that plan:

short term - within 6 months

mid term - 12 to 18 months

long term - 18 to 24 months

Here is a preliminary outline of the action plan:

1. Short term:

1. The setup of a functioning PPI in Geneva

2. Improve communication and media visibility

3. Raise the empowerment level and support initiatives

4. Prepare a clear project governance framework

5. Support the ECOSOC membership application process

6. Retool the General Assembly to enable all participants to be treated equally, no more distinction between remote and in

situe delegates.

7. Gain an oversight of all current global initatives, which the PPI is involved or can provide support.

2. Mid term:

1. Plan an online GA to test the outcome of the retooling initiative

2. Define a set of strategic projects around the following areas: Peace, Human Rights & Democracy, and Economy, including

immaterial rights (patents & copyrights), Culture

3. Conduct Fund raising operations for PPI, its activities, and projets

4. Enable the setup of physical project office, with permanent and project staff to fuly support the selected initiatives

3. Long term

1. Setup the physical headquaters of PPI in Geneva

2. Launch the projects with their full fundings and staffing

The intent of the chairman, as stated in his candidacy, is to make the PPI a operative organisation, with a clear vision, a strategy and

means to execute and fulfill the charter upon which it was created, while delivering significat contribution to its members, the civil

society and mankind.

History

#1 - 08/01/2016 05:31 PM - Thomas Gaul

- Status changed from New to Resolved

- Assignee set to Guillaume Saouli

- Vote - Guillaume Saouli  set to Yes

- Vote - Bailey Lamon set to Yes

- Vote - Thomas Gaul set to Yes

- Vote - Keith Goldstein set to Yes

- Vote - Raymond Johansen set to Yes

- Vote - Andrew Reitemeyer set to Yes

#2 - 08/12/2016 08:55 PM - Guillaume Saouli

- Status changed from Resolved to In Progress
- Target version changed from Board Meeting 31-07-2016 to Board Meeting - 14.08.2016

- % Done changed from 0 to 20

#3 - 12/25/2020 05:15 PM - Gregory Engels

- Status changed from In Progress to Closed
